extend video
Extend the generation time based on existing videos.
POST
/luma/generations/{id}/extendBody Parametersapplication/json
prompt string
Description of the extension (optional)
user_prompt string
Description of the extension (proxy format)
Responses
200 The extension task was created successfully application/json
response-200 object
properties batch_id string
Batch ID
created_at string · date-time
Creation time
estimate_wait_seconds integer nullable
Estimated waiting time (seconds) Estimated waiting time (seconds)
id string
Task ID Task ID
last_frame object nullable
Last-frame image URL
prompt string
Prompt words used Prompt words used
queue_state string nullable
Queue state
state string
task status task status
thumbnail object nullable
Thumbnail URL
video object nullable
Video URL or identifier
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"user_prompt": "Continue the scene with the eagle landing on a cliff"
3}
1curl -X POST "https://api.digislash.com/luma/generations/{id}/extend" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"user_prompt": "Continue the scene with the eagle landing on a cliff"
6}'
1▼{
2"batch_id": "string",
3"created_at": "string",
4"estimate_wait_seconds": 0,
5"id": "string",
6▼"last_frame": {
7"url": "string"
8},
9"prompt": "string",
10"queue_state": "string",
11"state": "queued",
12▼"thumbnail": {
13"url": "string"
14},
15▼"video": {
16"height": 0,
17"url": "string",
18"width": 0
19}
20}
